package com.miaxis.school.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.common.annotation.DataScope;
import com.miaxis.school.domain.SchoolClassType;
import com.miaxis.school.dto.SchoolClassTypePcDTO;
import com.miaxis.school.mapper.SchoolClassTypeMapper;
import com.miaxis.school.service.ISchoolClassTypeService;
import com.miaxis.school.vo.SchoolClassTypePcVO;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;

import javax.annotation.Resource;
import java.util.List;


/**
 * 驾校班型Service业务层处理
 *
 * @author wwl
 * @date 2021-01-15
 */
@Service
public class SchoolClassTypeServiceImpl extends ServiceImpl<SchoolClassTypeMapper, SchoolClassType> implements ISchoolClassTypeService {

    @Resource
    private SchoolClassTypeMapper schoolClassTypeMapper;

    /**
     * pc班型查询列表
     */
    @Override
    @DataScope(deptAlias ="s")
    public List<SchoolClassTypePcVO> queryList(SchoolClassTypePcDTO schoolClassTypePcDTO) {
        return schoolClassTypeMapper.queryList(schoolClassTypePcDTO);
    }
}
