package com.miaxis.school.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * pc驾校详情返回对象
 *
 * @author WWL
 * @date 2020-1-18
 */
@Data
@ApiModel(value = "SchoolInfoPcVO", description = "pc驾校详情返回对象")
public class SchoolInfoDetailPcVO{
    private static final long serialVersionUID = 1L;

    /**
     * 驾校全国统一编号
     */
    @TableId(value = "inscode")
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /**
     * 驾校名称
     */
    @TableField("name")
    @ApiModelProperty(value = "驾校名称")
    private String name;

    /**
     * 驾校简称
     */
    @TableField("sname")
    @ApiModelProperty(value = "驾校简称")
    private String sname;

    /**
     * 驾校地址
     */
    @TableField("address")
    @ApiModelProperty(value = "驾校地址")
    private String address;

    /**
     * 法人代表证件号码
     */
    @TableField("legal_person_id_number")
    @ApiModelProperty(value = "法人代表证件号码")
    private String legalPersonIdNumber;

    /**
     * 经营负责人
     */
    @TableField("responsible_person")
    @ApiModelProperty(value = "经营负责人")
    private String responsiblePerson;

    /**
     * 法人代表
     */
    @TableField("legal_person_name")
    @ApiModelProperty(value = "法人代表")
    private String legalPersonName;

    /**
     * 行政区划名称
     */
    @TableField("area_name")
    @ApiModelProperty(value = "行政区划名称")
    private String areaName;


    /**
     * 驾校电话
     */
    @TableField("tel")
    @ApiModelProperty(value = "驾校电话")
    private String tel;

    /**
     * 驾校微信号
     */
    @TableField("wechar")
    @ApiModelProperty(value = "驾校微信号")
    private String wechar;

    /**
     * 注册日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("registration_date")
    @ApiModelProperty(value = "注册日期")
    private Date registrationDate;

    /**
     * 经营许可证号
     */
    @TableField("license_number")
    @ApiModelProperty(value = "经营许可证号")
    private String licenseNumber;

    /**
     * 经营许可证字
     */
    @TableField("license_word")
    @ApiModelProperty(value = "经营许可证字")
    private String licenseWord;

    /**
     * 有效期起
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("license_valid_period_from")
    @ApiModelProperty(value = "有效期起")
    private Date licenseValidPeriodFrom;

    /**
     * 有效期止
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("license_valid_period_end")
    @ApiModelProperty(value = "有效期止")
    private Date licenseValidPeriodEnd;

    /**
     * 上年度信用等级
     */
    @TableField("credibility_grade")
    @ApiModelProperty(value = "上年度信用等级")
    private String credibilityGrade;

    /**
     * 当前信用得分
     */
    @TableField("credibility_score")
    @ApiModelProperty(value = "当前信用得分")
    private String credibilityScore;

    /**
     * 业户车辆总数
     */
    @TableField("vehicle_sum")
    @ApiModelProperty(value = "业户车辆总数")
    private Long vehicleSum;

    /**
     * 注册资金（单位:万元）
     */
    @TableField("regcapital")
    @ApiModelProperty(value = "注册资金（单位:万元）")
    private Long regcapital;

    /**
     * 工商执照号
     */
    @TableField("bizlicense")
    @ApiModelProperty(value = "工商执照号")
    private String bizlicense;


    /**
     * 逻辑删除标识（1：是；0：否）
     */
    @TableField("removed")
    @ApiModelProperty(value = "逻辑删除标识（1：是；0：否）")
    private Long removed;

    /**
     * 初次领证日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("initial_receipt_date")
    @ApiModelProperty(value = "初次领证日期")
    private Date initialReceiptDate;

    /**
     * 业户经营状态
     */
    @TableField("business_status_name")
    @ApiModelProperty(value = "业户经营状态")
    private String businessStatusName;

    /**
     * 培训车型
     */
    @TableField("pxcx")
    @ApiModelProperty(value = "培训车型")
    private String pxcx;




}
